import tkinter as tk
from PIL import Image, ImageTk
from playsound import playsound
import threading


def play_sound():
    try:
        playsound("Audio.wav")
    except Exception as e:
        print(f"Error: {e}")

def RunFun():
    try:
        img = Image.open("abdo.png")
        img = img.resize((300, 300))
        img_tk = ImageTk.PhotoImage(img)

        label.config(image=img_tk)
        label.image = img_tk

        threading.Thread(target=play_sound).start()

    except Exception as e:
        print(f"Error: {e}")


root = tk.Tk()
root.title("رساله الاسطا")
root.geometry("300x300")
root.resizable(False, False)

label = tk.Label(root)
label.pack(pady=10)


# Button to load and display the image
load_button = tk.Button(root, text="اضغط", command=RunFun)
load_button.pack()

root.mainloop()
